Index: branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/par_cfc.F90
===================================================================
--- branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/par_cfc.F90	(revision 5673)
+++ branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/par_cfc.F90	(revision 5674)
@@ -7,5 +7,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcice_cfc.F90
===================================================================
--- branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcice_cfc.F90	(revision 5673)
+++ branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcice_cfc.F90	(revision 5674)
@@ -23,5 +23,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id: trcice_cfc.F90 4990 2014-12-15 16:42:49Z timgraham $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcini_cfc.F90
===================================================================
--- branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcini_cfc.F90	(revision 5673)
+++ branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcini_cfc.F90	(revision 5674)
@@ -30,5 +30,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90
===================================================================
--- branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 5673)
+++ branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 5674)
@@ -25,5 +25,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90
===================================================================
--- branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 5673)
+++ branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 5674)
@@ -54,5 +54,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcwri_cfc.F90
===================================================================
--- branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcwri_cfc.F90	(revision 5673)
+++ branches/UKMO/dev_r5518_clean_shutdown/NEMOGCM/NEMO/TOP_SRC/CFC/trcwri_cfc.F90	(revision 5674)
@@ -54,5 +54,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id: trcwri_cfc.F90 3160 2011-11-20 14:27:18Z cetlod $ 
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================