Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg	(revision 5682)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg	(revision 5683)
@@ -16,5 +16,5 @@
 JOB_SUBM=''   	 			  # Submit a job && get his ID in return
                                              # ex: "cmd ${NEMO_TRUS}/batch/${NEMO_HPCC}.sh | awk '{print \$NF}'"
-JOB_LIST=''    	 			  # List all submitted jobs (to determine by `grep` if a job completed or not)
+JOB_LIST=''    	 			  # List all submitted jobs (to determine by `grep` if a job is completed or not)
 JOB_INFO=''   	 			  # Get job informations          with job ID as argument (filling a computation log)
 JOB_TIME=''                               # Get real CPU time computation with `eval "${JOB_INFO} ${JOB_ID} | ${JOB_TIME}"`
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/romr005.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/romr005.cfg	(revision 5682)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/romr005.cfg	(revision 5683)
@@ -1,6 +1,7 @@
-# User configuration
+## User configuration
+##-------------------
 
 
-# Global Directories:
+## Global Directories:
 DIR_WORK=$WORKDIR
 DIR_SCRA=$WORKDIR/NEMO/trusting
@@ -8,26 +9,33 @@
 
 
-# NEMO overall configuration:
+## NEMO overall installation:
 [ -z "${NEMO_BRAN}" ] && NEMO_BRAN='trunk'
 NEMO_HOME=${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM
 
+### Reference/'Trusting' configuration
 [ -z "${REFE_CONF}" ] && REFE_CONF='ORCA2_LIM_PISCES'
-[ -z "${TEST_CONF}" ] && TEST_CONF='O2LP_trust'
+TEST_CONF=${REFE_CONF}'_trust'
 KEYS_ADD=''; KEYS_DEL=''
+[ ${REFE_CONF} == 'ORCA2_LIM_PISCES'  ] && TEST_CONF='O2LP_trust'
+[ ${REFE_CONF} == 'ORCA1_LIM3_PISCES' ] && TEST_CONF='O1L3P_trust'
+[ ${REFE_CONF} == 'ORCA2_LIM'         ] && TEST_CONF='O2LA_trust' && KEYS_ADD='key_agrif' && KEYS_DEL='key_zdftmx'
 
+### Inputs
 NEMO_FORC=${DIR_WORK}/NEMO/FORC
 [ -z "${NEMO_TARF}" ] && NEMO_TARF='ORCA2_LIM_nemo_v3.6.tar'
+[ ${REFE_CONF} == 'ORCA1_LIM3_PISCES' ] && NEMO_TARF='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
+[ ${REFE_CONF} == 'AMM12'             ] && NEMO_TARF='AMM12_v3.6.tar'
 
 
-# Comparatives directories localization:
+## Comparatives directories path:
 REFE_DIR=${DIR_STOR}/${REFE_CONF}/${NEMO_BRAN}
 TEST_DIR=${DIR_SCRA}/${REFE_CONF}/${NEMO_BRAN}/trusting_${DATE}
 
 
-# External softs directories:
+## External softs directories:
 DIR_XIOS=${DIR_WORK}/XIOS/xios-1.0
 #DIR_OASI=${DIR_WORK}/OASIS        
 
 
-# Mailing list to inform of a failure, -p|--publish option required
+## Mailing list to inform of a failure (-p|--publish option required)
 [ -z "$EMAIL"] && EMAIL=ntmlod@locean-ipsl.upmc.fr
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/user_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/user_template.cfg	(revision 5682)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/user_template.cfg	(revision 5683)
@@ -5,9 +5,15 @@
 
 
+## Global Directories:
+#DIR_WORK=''
+#DIR_SCRA=''
+#DIR_STOR=''
+
+
 ## NEMO overall installation:
 [ -z "${NEMO_BRAN}" ] && NEMO_BRAN=''     ## NEMO SVN branch         to test
                                              ## ex: 'trunk', 'nemo_v3_6_STABLE', ...
 NEMO_HOME=''                              ## NEMOGCM directory (includes ./ARCH, ./CONFIG, ...)
-                                             ## ex: ".../NEMO/${NEMO_BRAN}/NEMOGCM", ...
+                                             ## ex: "${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM", ...
 ## ${NEMO_BRAN} must be consistent with URL branch that have been checkout by SVN to build ${NEMO_HOME}
 
@@ -15,9 +21,8 @@
 [ -z "${REFE_CONF}" ] && REFE_CONF=''     ## Reference configuration to test
                                              ## ex: 'ORCA2_LIM_PISCES', 'GYRE', ...
-[ -z "${TEST_CONF}" ] && TEST_CONF=''     ## Testing configuration name
-                                             ## ex: "${REFE_CONF}_trust", ...
+TEST_CONF=${REFE_CONF}'_trust'            ## Testing configuration name
 KEYS_ADD=''; KEYS_DEL=''                  ## CPP keys to add or remove from reference configuration
                                              ## ex: "key_mpp_rep key_tide", ...
-[ "" == '' ] && KEYS_ADD='' && KEYS_DEL=''
+#[ ${REFE_CONF} == '' ] && TEST_CONF='' && KEYS_ADD='' && KEYS_DEL=''
 
 ### Inputs
@@ -26,16 +31,17 @@
 [ -z "${NEMO_TARF}" ] && NEMO_TARF=''     ## Archive inputs name, let blank if not requested
                                              ## ex: 'ORCA2_LIM_nemo_v3.6.tar', 'AMM12_v3.6.tar', ...
+#[ ${REFE_CONF} == '' ] && NEMO_TARF=''
 
 
 ## Comparative directories path:
 REFE_DIR=''			      	  ## "Standard" folder where benchmark result files have been stored for comparison
-                                             ## ex: ".../${REFE_CONF}/${NEMO_BRAN}"
-TEST_DIR=''			      	  ## Test       folder for computation
-                                             ## ex: ".../${REFE_CONF}/${NEMO_BRAN}/trusting_${DATE}"
+                                             ## ex: "${DIR_STOR}/${REFE_CONF}/${NEMO_BRAN}"
+TEST_DIR=''			      	  ## Testing    folder for computation
+                                             ## ex: "${DIR_SCRA}/${REFE_CONF}/${NEMO_BRAN}/trusting_${DATE}"
 
 
 ## External softs directories:
-DIR_XIOS=''			      	     ## ex: '.../XIOS/xios-1.0'
-#DIR_OASI=''			      	     ## ex: '.../OASIS'
+DIR_XIOS=''			      	     ## ex: '${DIR_WORK}/XIOS/xios-1.0'
+#DIR_OASI=''			      	     ## ex: '${DIR_WORK}/OASIS'
 
 
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.env
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.env	(revision 5682)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.env	(revision 5683)
@@ -18,10 +18,12 @@
 
 ## Only interest for essential NEMO directories
-NEMO_ARCH=${NEMO_HOME}/ARCH              ; NEMO_CONF=${NEMO_HOME}/CONFIG       ; NEMO_ENGI=${NEMO_HOME}/NEMO
-NEMO_EIOI=${NEMO_HOME}/EXTERNAL/IOIPSL   ; NEMO_EFCM=${NEMO_HOME}/EXTERNAL/fcm
-NEMO_TRBD=${NEMO_HOME}/TOOLS/REBUILD_NEMO; NEMO_TCMP=${NEMO_HOME}/TOOLS/COMPILE
+NEMO_ARCH=${NEMO_HOME}/ARCH          ; NEMO_CONF=${NEMO_HOME}/CONFIG            
+NEMO_ENGI=${NEMO_HOME}/NEMO
+NEMO_EAGR=${NEMO_HOME}/EXTERNAL/AGRIF; NEMO_EIOI=${NEMO_HOME}/EXTERNAL/IOIPSL   
+NEMO_EFCM=${NEMO_HOME}/EXTERNAL/fcm
+NEMO_TCMP=${NEMO_HOME}/TOOLS/COMPILE ; NEMO_TRBD=${NEMO_HOME}/TOOLS/REBUILD_NEMO
 export NEMO_ARCH NEMO_CONF NEMO_ENGI
-export NEMO_EIOI NEMO_EFCM
-export NEMO_TRBD NEMO_TCMP
+export NEMO_EAGR NEMO_EIOI NEMO_EFCM
+export NEMO_TCMP NEMO_TRBD
 
 ## Sourcing super-computer configuration
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5682)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5683)
@@ -112,5 +112,6 @@
 print_step 'Set job (copying & extracting input files)'
 cd ${TEST_DIR}
-find ${NEMO_CONF}/${TEST_CONF}/EXP00 -regex '.*\(cfg\|opa\|ref\|xml\)' -exec cp {} . \;
+cp ${NEMO_CONF}/${TEST_CONF}/cpp_* .
+find ${NEMO_CONF}/${TEST_CONF}/EXP00 -regex '.*\(_cfg\|.in\|opa\|_ref\|.xml\)' -exec cp {} . \;
 get_inputs
 (( $? != 0 )) && get_out 3
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5682)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5683)
@@ -53,5 +53,5 @@
 
     for dir in ${NEMO_ARCH} ${NEMO_CONF} ${NEMO_ENGI} \
-               ${NEMO_EIOI} ${NEMO_EFCM}              \
+               ${NEMO_EAGR} ${NEMO_EIOI} ${NEMO_EFCM} \
 	       ${NEMO_TCMP} ${NEMO_TRBD}              \
 	       ${DIR_XIOS}                             ; do
@@ -122,5 +122,5 @@
 	if [ -n "$dif" ]; then
 	    mesg='Different'
-	    [ $dif != '0' ] && echo $dif && files_list+=$file' '
+	    [ "$dif" != '0' ] && echo $dif && files_list+=$file' '
 	fi
 
@@ -283,7 +283,8 @@
 XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
 
+`cat ${TEST_DIR}/${FILE_TRUS}`
 END_MAIL
-	    [ -e ${TEST_DIR}/${FILE_TRUS} ] && cat ${TEST_DIR}/${FILE_TRUS}                  \
-		>> trusting.mail
+#	    cat ${TEST_DIR}/${FILE_TRUS}                  \
+#		>> trusting.mail
 	    mail -s "[NEMO Trusting ${NEMO_HPCC} ${REFE_CONF} ${NEMO_BRAN}] $ST $ERR" $EMAIL \
 		<  trusting.mail
@@ -323,6 +324,5 @@
     if [[ $ST == 'FAILED' && $PUBLISH -eq 1 && $DEBUG -eq 0 ]]; then
 	echo 'Creating archive '${FILE_ARCH}' under '${REFE_DIR}
-	tar -czf ${REFE_DIR}/${FILE_ARCH} * ${NEMO_HOME}/CONFIG/${TEST_CONF}/cpp_*  \
-                                 	    ${NEMO_HOME}/CONFIG/${TEST_CONF}/MY_SRC \
+	tar -czf ${REFE_DIR}/${FILE_ARCH} * ${NEMO_HOME}/CONFIG/${TEST_CONF}/MY_SRC \
 	                                    ${NEMO_HOME}/CONFIG/${TEST_CONF}/WORK
     fi