Index: branches/2015/dev_r5072_UKMO2_OBS_simplification/DOC/TexFiles/Chapters/Chap_OBS.tex
===================================================================
--- branches/2015/dev_r5072_UKMO2_OBS_simplification/DOC/TexFiles/Chapters/Chap_OBS.tex	(revision 5082)
+++ branches/2015/dev_r5072_UKMO2_OBS_simplification/DOC/TexFiles/Chapters/Chap_OBS.tex	(revision 5688)
@@ -18,10 +18,10 @@
 location and nearest model timestep. The resulting data are saved in a ``feedback'' file (or
 files). The code was originally developed for use with the NEMOVAR data assimilation code, but
-can be used for validation or verification of model or  any other data assimilation system.
-
-The OBS code is called from \mdl{nemogcm.F90} for model initialisation and to calculate the model
+can be used for validation or verification of the model or with any other data assimilation system.
+
+The OBS code is called from \mdl{nemogcm} for model initialisation and to calculate the model
 equivalent values for observations on the 0th timestep. The code is then called again after
-each timestep from \mdl{step.F90}. To build with the OBS code active \key{diaobs} must be
-set.
+each timestep from \mdl{step}. The code is only activated if the namelist logical \np{ln\_diaobs}
+is set to true.
 
 For all data types a 2D horizontal  interpolator is needed to interpolate the model fields to
@@ -29,13 +29,15 @@
 addition to provide model fields at the observation depths. Currently this only works in
 z-level model configurations, but is being developed to work with a generalised vertical
-coordinate system. Temperature data from moored buoys (TAO, TRITON, PIRATA) in the
-ENACT/ENSEMBLES data-base are available as daily averaged quantities. For this type of
-observation the observation operator will compare such observations to the model temperature
-fields averaged over one day. The relevant observation type may be specified in the namelist
-using \np{endailyavtypes}. Otherwise the model value from the nearest timestep to the
+coordinate system. 
+
+Some profile observation types (e.g. tropical moored buoys) are made available as daily averaged quantities.
+The observation operator code can be set-up to calculated the equivalent daily average model temperature fields
+using the \np{nn\_profdavtypes} namelist array. Some SST observations are equivalent to a night-time
+average value and the observation operator code can calculate equivalent night-time average model SST fields by
+setting the namelist value \np{ln\_sstnight} to true. Otherwise the model value from the nearest timestep to the
 observation time is used.
 
 The code is controlled by the namelist \textit{nam\_obs}. See the following sections for more
-details on setting up the namelist. 
+details on setting up the namelist.
 
 Section~\ref{OBS_example} introduces a test example of the observation operator code including
@@ -59,14 +61,23 @@
 
 \begin{enumerate}
-\item Compile NEMO with \key{diaobs} set.
-
-\item Download some ENSEMBLES EN3 data from 
-\href{http://www.hadobs.org}{http://www.hadobs.org}. Choose observations which are
+\item Compile NEMO.
+
+\item Download some EN4 data from 
+\href{http://www.metoffice.gov.uk/hadobs}{http://www.metoffice.gov.uk/hadobs}. Choose observations which are
 valid for the period of your test run because the observation operator compares
 the model and observations for a matching date and time. 
 
-\item Add the following to the NEMO namelist to run the observation
-operator on this data. Set the \np{enactfiles} namelist variable to the
-observation  file name:
+\item Compile the OBSTOOLS code using: 
+\begin{verbatim}
+./maketools -n OBSTOOLS -m [ARCH].
+\end{verbatim}
+
+\item Convert the EN4 data into feedback format: 
+\begin{verbatim}
+enact2fb.exe profiles_01.nc EN.4.1.1.f.profiles.g10.YYYYMM.nc
+\end{verbatim}
+
+\item Include the following in the NEMO namelist to run the observation
+operator on this data:
 \end{enumerate}
 
@@ -77,7 +88,6 @@
 Options are defined through the  \ngn{namobs} namelist variables.
 The options \np{ln\_t3d} and \np{ln\_s3d} switch on the temperature and salinity
-profile observation operator code. The \np{ln\_ena} switch turns on the reading
-of ENACT/ENSEMBLES type profile data. The filename or array of filenames are
-specified using the \np{enactfiles} variable. The model grid points for a
+profile observation operator code. The filename or array of filenames are
+specified using the \np{cn\_profbfiles} variable. The model grid points for a
 particular  observation latitude and longitude are found using the grid
 searching part of the code. This can be expensive, particularly for large
@@ -92,4 +102,6 @@
 A number of utilities are now provided to plot the feedback files, convert and
 recombine the files. These are explained in more detail in section~\ref{OBS_obsutils}.
+Utilites to convert other input data formats into the feedback format are also 
+described in section~\ref{OBS_obsutils}.
 
 \section{Technical details}
@@ -104,6 +116,6 @@
 %-------------------------------------------------------------------------------------------------------------
 
-This name list uses the "feedback" type observation file input format for
-profile, sea level anomaly and sea surface temperature data. All the
+The observation operator code uses the "feedback" observation file format for
+all data types. All the
 observation files must be in NetCDF format. Some example headers (produced using
 \mbox{\textit{ncdump~-h}}) for profile